%global pypi_name botocore

# open this when upstream fix timeout
%bcond_with tests

Summary:        Low-level, data-driven core of boto 3
Name:           python-botocore
Version:        1.29.90
Release:        5%{?dist}
License:        Apache-2.0
URL:            https://github.com/boto/botocore
Source0:        %{pypi_source}

BuildArch:      noarch

%description
A low-level interface to a growing number of Amazon Web Services. The botocore package is the
foundation for the AWS CLI as well as boto3.

%package -n     python3-botocore
Summary:        Low-level, data-driven core of boto 3
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-jsonschema python3-pytest
%endif
Provides:       bundled(python3-six) = 1.16.0
Provides:       bundled(python3-requests) = 2.7.0

%description -n python3-botocore
A low-level interface to a growing number of Amazon Web Services. The botocore package is the
foundation for the AWS CLI as well as boto3.

%prep
%autosetup -n botocore-%{version} -p1

rm -vr tests/integration
rm -vr tests/functional/leak

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files botocore

%check
%if %{with tests}
%pytest
%endif

%files -n python3-botocore -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.90-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.90-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.90-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.90-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.29.90-1
- initial build
